#!/bin/sh
#------------------------------------------------------------------------------
# part of the cdrecord-package on EIS/FAIR
# backup some directories on CD
# last update: 2002/08/04
# (c) 2001-2002 by Christian Wuerdig (eisfair@chriswue.de)
#------------------------------------------------------------------------------

# load config
. /etc/config.d/cdrecord

idx=1
data_dirs=""
start=0
while [ "$idx" -le "$CDREC_DATA_DIR_N" ]
do
   eval ddir='$CDREC_DATA_DIR_'$idx
   if [ -f $ddir/.job_ready ]
   then
      rm -f $ddir/.job_ready
      start=1
   fi
   if [ "$data_dirs" = "" ]
   then
      data_dirs="$ddir"
   else
      data_dirs="$data_dirs $ddir"
   fi
   idx=`expr $idx + 1`
done

if [ "$data_dirs" = "" ]
then
   echo "No directories for backup found!"
   exit 0
fi

if [ "$CDREC_LOG_FILE" = "" ]
then
   log=""
else
   log="-log-file $CDREC_LOG_FILE"
fi

if [ $start -eq "1" ]
then
   if [ $CDREC_ON_THE_FLY = "yes" ]
   then
      /usr/bin/mkisofs -allow-multidot -f -L -R -J $log $data_dirs | \
      /usr/bin/cdrecord -v speed=$CDREC_SPEED fs=$CDREC_SOFT_BUFFER dev=cd-writer -
   else
      if ! test -d $CDREC_ISO_IMAGE_DIR
      then
         mkdir -p $CDREC_ISO_IMAGE_DIR
      fi
      cd $CDREC_ISO_IMAGE_DIR
      echo "creating image from data"
      /usr/bin/mkisofs -allow-multidot -f -L -R -J $log -o cd.iso $data_dirs
      echo "writing image on cd"
      /usr/bin/cdrecord -v speed=$CDREC_SPEED fs=$CDREC_SOFT_BUFFER dev=cd-writer cd.iso
      echo "deleting image"
      rm -f cd.iso
   fi
fi
